##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#
# Handling name of the Root Dictionary Files
#
CINT  = HistMc

#
# Library name to creatre
#
LIB   = mhistmc.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../mhbase -I../mhist -I../mmc -I../manalysis \
    	   -I../mimage -I../mgeom

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MHMcEnergy.cc \
           MHMcEfficiency.cc \
           MHMcEfficiencyImpact.cc \
           MHMcEfficiencyEnergy.cc \
           MHMcEnergyImpact.cc \
	   MHMcRate.cc \
	   MHMcCollectionArea.cc \
           MHMcIntRate.cc \
           MHMcDifRate.cc \
           MHMcEnergyMigration.cc \
	   MHMcCT1CollectionArea.cc \
	   MHMcTriggerLvl2.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

#clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode








